const I18N_LOADED_EVENT = 'i18nLoaded';

class I18nLoadedEvent extends CustomEvent {
    constructor(translations) {
        super(I18N_LOADED_EVENT, {
            detail: { translations: translations }
        });
    }
}

export { I18N_LOADED_EVENT, I18nLoadedEvent };
